Skip to main content
`Ctrl`+`K`

# PCHPDDMSetDeflationMat

Sets the deflation space used to assemble a coarser operator.

## Synopsis

    #include "petscpc.h"
    PetscErrorCode PCHPDDMSetDeflationMat(PC pc, IS is, Mat U)

## Input Parameters

- pc - preconditioner context

- is - index set of the local deflation matrix

- U - deflation sequential matrix stored as a `MATSEQDENSE`

## See Also

KSP: Linear System Solvers, `PCHPDDM`, `PCDeflationSetSpace()`, `PCMGSetRestriction()`

## Level

advanced

## Location

src/ksp/pc/impls/hpddm/pchpddm.cxx

## Implementations

PCHPDDMSetDeflationMat_HPDDM() in src/ksp/pc/impls/hpddm/pchpddm.cxx

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages